• English
  • Query Order Result

    Request Path

    [POST] /api/v2/bill-payment/order/query

    Parameter List

    NameTypeLengthRequiredDescription
    sceneCodeString-YesBusiness scenario code【see detailed scenario codes】
    outOrderNoString64YesMerchant order number
    orderNoString64YesPalmPay platform order number (the merchant order number and the platform order number cannot be empty at the same time)

    Return Values

    NameTypeLengthRequiredDescription
    outOrderNoString64YesMerchant order number
    orderNoString32YesPalmPay platform order number
    billerIdString32YesOperator ID
    itemIdString32YesPackage ID
    orderStatusInteger2YesOrder status (see detailed order status)
    amountLong-YesTotal order amount (unit: cents)
    sceneCodeString-YesBusiness scenario code
    currencySymbolString5YesCurrency symbol
    currencyString5YesCurrency type
    payerEmailString50YesPayer's email address
    payerMobileNoString50YesAssociated system member's mobile number
    payerAccountIdString50YesPayer's account ID
    payerAccountTypeInteger50YesPayer's account type
    payTimeLong-YesPayment time
    completedTimeLong-YesOrder completion time
    merchantNoString32YesMerchant number
    errorMsgString32YesReturn message

    Error Codes

    Please refer to the document.

    Postman Request Example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/order/query' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime":1662171389940,
        "version":"V1.1",
        "nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "orderNo":"y521ug58000",
    }'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "orderNo": "y521ug58000",
        "outOrderNo": "tC27wjQmRnbapFAwynhatCxWkXwN7rpG",
        "billerId": "MTN",
        "itemId": "s105113874659400",
        "orderStatus": 1,
        "amount": null,
        "currencySymbol": "₦",
        "currency": "NGN",
        "payerEmail": "caojiangling07@foxmail.com",
        "payerMobileNo": null,
        "payerAccountId": "fb567314d91e455c97119ee06bb",
        "payerAccountType": 4,
        "payTime": 1713927263000,
        "completedTime": 1713927280000,
        "merchantNo": "12311240914311",
        "errorMsg": null,
        "notifyUrl": "https://xxx/notify"
      }
    }

    Common Error Codes

    Please refer to the document

    Business Error Codes

    Error CodeError DescriptionSolution
    SBP.INVALID_PARAMETERInvalid parameterCheck the request parameters and resend after making corrections
    SBP.INVALID_SCENE_CODEInvalid scenario codeCheck the scenario code and resend after making corrections
    SBP.TRADE_NOT_EXISTOrder does not existCheck the order number provided and resend after making corrections